Subject: Re: [GOST] Хэш ГОСТ 34.11-94

From: Sergey Matveev <[email-masked]>
Date: Tue, 15 Nov 2016 22:17:25 +0300

*** Dmitry Eremin-Solenikov <[email-masked]> [2016-11-15 22:05]:
>Я в свое время думал над этим, в итоге реализовывал так, чтобы endianness
>подходил для результатов вычисления HMAC/PBKDF2/и т.п. При этом при
>формировании подписи действительно приходится "переворачивать" хэш.

Хм, HMAC и PBKDF2 это хороший аргумент. Мне кажется он даже весомее
моего выбора. Я тогда, как будет время, пожалуй реализую HMAC и PBKDF2
(добавлю тестовые векторы и тому прочее), и вместе с этим, видимо,
"переверну" то что есть сейчас. То есть будет обратно несовместимая
версия. Спасибо за такую наводку!

Пока ГОСТ-ом с HMAC и PBKDF2 просто ещё не сталкивался на практике.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF